#
# spec file for package xf86-video-cirrus
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xf86-video-cirrus
Version:        1.5.3
Release:        lp150.1.7
Summary:        Cirrus Logic video driver for the Xorg X server
License:        MIT
Group:          System/X11/Servers/XF86_4
Url:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/driver/%{name}-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM cirrus-1.2.0-qemu.patch fcrozat@suse.com -- Avoid 10x7 heuristic, handled by server (Fedora)
Patch0:         u_cirrus-qemu.patch
# PATCH-FIX-UPSTREAM cirrus-1.3.2-virt-16bpp.patch fcrozat@suse.com -- Use 16bpp when running in virt (Fedora)
Patch1:         u_cirrus-virt-16bpp.patch

BuildRequires:  pkg-config
BuildRequires:  pkgconfig(fontsproto)
BuildRequires:  pkgconfig(pciaccess) >= 0.8.0
BuildRequires:  pkgconfig(randrproto)
BuildRequires:  pkgconfig(renderproto)
BuildRequires:  pkgconfig(videoproto)
BuildRequires:  pkgconfig(xextproto)
BuildRequires:  pkgconfig(xorg-macros) >= 1.2
BuildRequires:  pkgconfig(xorg-server) >= 1.4
BuildRequires:  pkgconfig(xproto)
# This was part of the xorg-x11-driver-video package up to version 7.6
Conflicts:      xorg-x11-driver-video <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExcludeArch:    s390 s390x
Supplements:    modalias(xorg-x11-server:pci:v00001013d*sv*sd*bc03sc*i*)
%x11_abi_videodrv_req

%description
cirrus is an Xorg driver for Cirrus Logic video cards.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure
make %{?_smp_mflags}

%install
%make_install
find %{buildroot}%{_libdir} -name '*.la' -type f -delete -print

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README
%dir %{_libdir}/xorg/modules/drivers
%{_libdir}/xorg/modules/drivers/cirrus_alpine.so
%{_libdir}/xorg/modules/drivers/cirrus_laguna.so
%{_libdir}/xorg/modules/drivers/cirrus_drv.so
%{_datadir}/man/man4/cirrus.4%{?ext_man}

%changelog
* Mon May 29 2017 sndirsch@suse.com
- includes everything needed for missing sle issue entries:
  fate #315643-315645, 319159-319161, 319618 (bsc#1041347)
* Fri May  8 2015 sndirsch@suse.com
- xf86-video-cirrus 1.5.3
  * configure: Drop AM_MAINTAINER_MODE
  * Skip building xaa files when XAA is not supported
  * autogen.sh: Implement GNOME Build API
  * cirrus: don't use pciTag
- deprecates U_cirrus-don-t-use-pciTag.patch
* Fri Feb  6 2015 sndirsch@suse.com
- U_cirrus-don-t-use-pciTag.patch
  * fixes build against xorg-server 1.17
* Thu Feb 20 2014 sndirsch@suse.com
- u_cirrus-virt-16bpp.patch: also default on XenSource gfx to 16bpp
  (bnc#864288)
* Wed Aug  7 2013 ro@suse.de
- add ExcludeArch for s390 and s390x
* Wed Mar 20 2013 sndirsch@suse.com
- simplified Supplements line
* Thu Jan 10 2013 sndirsch@suse.com
- xf86-video-cirrus 1.5.2
  * Remove mibstore.h
  * cirrus: fix falling back after kernel check
  * cirrus: fix build against old server
  * cirrus: fix out of bounds access to shadowfb
  * obsoletes U_cirrus_fallback_kernel_check.patch
* Mon Nov 12 2012 fcrozat@suse.com
- Add U_cirrus_fallback_kernel_check.patch:  Fix falling back after
  kernel check.
* Fri Sep 14 2012 sndirsch@suse.com
- Update to version 1.5.1
  * handle server with no XAA
- adjusted u_cirrus-qemu.patch
* Thu May 31 2012 fcrozat@suse.com
- Add u_cirrus-virt-16bpp.patch: Default to 16bpp in virt (Fedora)
- Add u_cirrus-qemu.patch: Remove the 10x7 heuristic, since the
  server has equivalent code now.  Instead, disable "acceleration"
  under qemu, since taking the hypercall trap is really quite
  expensive and you're better off doing noaccel. (Fedora)
* Thu May 31 2012 coolo@suse.com
- do not install the driver on all machines having a cirrus card,
  but only on those that also install a X server
* Wed May 23 2012 crrodriguez@opensuse.org
- add proper "Supplements" so the driver is picked up
  automatically by the package manager when the user has
  the proper hardware.
* Thu Apr 19 2012 dimstar@opensuse.org
- Update to version 1.4.0:
  + alpine: Fix int10 setup
  + Fix for new vgaHW ABI
  + Fall back to shadowfb if XAA is unavailable
  + Build fix for older servers (error: conflicting types for
    'pciTag')
  + Disable PC98 code on newer servers.
  + Add support for the NEC PC-9821 (fdo#1837)
  + Limit the maximul pitch of GD5436 and GD5446 (fdo#23775)
  + Build fix for ABI Version 12
- Use %%x11_abi_videodrv_req instead of static ABI Requires.
* Wed Apr 18 2012 vuntz@opensuse.org
- Split xf86-video-cirrus from xorg-x11-driver-video.
  Initial version: 1.3.2.
